---
title: Up to My Eyeballs
description: What I’ve been up to instead of posting on my blog.
date: 2024-02-26
tags:
  - Quick Thoughts
synopsis: What I’ve been up to instead of posting on my blog.
imageURL: /img/logo_post.svg
mastodon_id: "112001639227268153"
---
If you’re one of the handful of people who read my blog, you may have noticed that I hadn’t posted yet in February. You see, about a month ago, I decided to implement that neat trick some people are doing that allows them to use replies to a mastodon post as comments on a web page. While I *could* have lifted [Juhis’](https://hamatti.org/posts/blog-comments-via-mastodon/) implementation wholesale and been done in a half-hour, naturally, I decided to complicate things and build the feature using web components.

As if this wasn’t enough, I figured that my site could use a bit of sprucing up. I began with changes to the typography; surely, I thought, this would only represent some minor changes to the CSS! Alas, I came across a link to [utopia.fyi](https://utopia.fyi/) and decided to implement fluid space and type scaling. I found this rather confusing at first as [utopia.fyi](https://utopia.fyi/) is pretty unclear about exactly how this works,  but I got it working nicely in the end and I was even able to remove my media query in exchange for one small container query, which it seems [we can safely use now](https://caniuse.com/css-container-queries).

I also decided that I was sick of how crowded my font folder was, so I replaced the lot with two beautiful variable typefaces that only require one font file each for a slew of styles: [Manrope](https://www.gent.media/manrope) and [Fraunces](https://fraunces.undercase.xyz/).

To make a long story short: I rendered my website unusable by taking on too much at once. Could I have switched branches and uploaded the odd post? Surely, just like I *could* do my taxes the minute I get my W2, or I *could* get more exercise. In any case, I now have a prettier, leaner website with:
* Mastodon comments
* Fluid type
* Two variable typefaces instead of two giant font families
* Zero breakpoints

...and I’m fairly chuffed. Some things I plan on doing in the future include:

* Styling for blockquotes, including optical margins
* Fixing styling for images that *aren’t* in a `<figure>`
* Better styling for code fences
* Implementing an image gallery
* Creating a /uses page
* Doing some of [this stuff](https://jamesg.blog/2024/02/19/personal-website-ideas/), and/or [this stuff](https://shellsharks.com/notes/2023/08/15/website-component-checklist)
* Finally getting around to making a professional site for my work accomplishments, et cetera

It feels good to have a working site once more. I’m very excited about these changes and keen as mince to get posting again!
